import { Configuration, App } from '@midwayjs/core';
import * as koa from '@midwayjs/koa';
import * as validate from '@midwayjs/validate';
import * as info from '@midwayjs/info';
import { join } from 'path';
// import { DefaultErrorFilter } from './filter/default.filter';
// import { NotFoundFilter } from './filter/notfound.filter';
import { ReportMiddleware } from './middleware/report.middleware';
import { ResponseMiddleware } from './middleware/response.middleware';
import { CheckTokenMiddleware } from './middleware/checkToken.middleware';
import * as orm from '@midwayjs/typeorm';
import * as jwt from '@midwayjs/jwt';
@Configuration({
  imports: [
    koa,
    validate,
    orm,
    jwt,
    {
      component: info,
      enabledEnvironment: ['local'],
    },
  ],
  importConfigs: [join(__dirname, './config')],
})
export class MainConfiguration {
  @App('koa')
  app: koa.Application;

  async onReady() {
    // add middleware
    this.app.useMiddleware([ReportMiddleware, CheckTokenMiddleware, ResponseMiddleware]);
    // add filter
    // this.app.useFilter([DefaultErrorFilter]);
  }
}
