import { Controller, Get, Inject, Query } from '@midwayjs/core';
import { AccurateMatchingService } from '../service/accurateMatching.service';

@Controller('/am')
export class AccurateMatchingController {
  @Inject()
  amService: AccurateMatchingService;
  /**
   * 针对 需求信息 的精准匹配
   * @param keyword 关键词
   * @param skip 分页起始位置
   * @param limit 分页显示数量
   */
  @Get('/demand')
  async demand(@Query('keyword') keyword: string, @Query('skip') skip: number, @Query('limit') limit: number) {
    const result = await this.amService.demand(keyword, skip, limit);
    return result;
  }

  @Get('/supply')
  async supply(@Query('keyword') keyword: string, @Query('skip') skip: number, @Query('limit') limit: number) {
    const result = await this.amService.supply(keyword, skip, limit);
    return result;
  }

  @Get('/achievement')
  async achievement(@Query('keyword') keyword: string, @Query('skip') skip: number, @Query('limit') limit: number) {
    const result = await this.amService.achievement(keyword, skip, limit);
    return result;
  }
}
