import { Body, Controller, Inject, Post } from '@midwayjs/core';
import { ESService } from '../service/elasticsearch/es.service';

@Controller('/init')
export class InitController {
  @Inject()
  esService: ESService;

  /**
   * 初始化es索引
   * @param index es中的索引名
   */
  @Post('/indices')
  async indices() {
    console.log('in init indices')
    const data = await this.esService.initIndex();
    return data;
  }

  @Post('/data')
  async data(@Body('index') index: string, @Body('data') data: Array<any>) {
    console.log('in init data')
    await this.esService.initData(index, data);
    return 'ok'
  }
}
