import { Body, Controller, Inject, Post } from '@midwayjs/core';
import { SyncService } from '../service/sync.service';
import { toLower } from 'lodash';
import { Methods } from '../service/elasticsearch/indices'

@Controller('/sync')
export class SyncController {
  @Inject()
  syncService: SyncService;

  /**
   * es同步数据
   * @param index es中的索引名
   * @param data 数据
   * @param method 是由什么数据库操作后来的(create,update,delete)
   */
  @Post('/')
  async syncData(@Body('index') index: string, @Body('data') data: object, @Body('method') method: Methods) {
    index = toLower(index);
    let res;
    switch (method) {
      case Methods.CREATE:
      case Methods.UPDATE:
        res = await this.syncService.upsert(index, data);
        break;
      case Methods.DELETE:
        res = await this.syncService.delete(index, data);
        break;
      default:
        break;
    }
    return res;
  }
}
